Subject: Re: bug#62153: [PATCH 0/2] Disarchive vs Gash-Utils for docker-layered

From: Oleg Pykhalov <[email-masked]>
Date: Mon, 20 Mar 2023 19:51:52 +0300

Oleg Pykhalov <[email-masked]> writes:

> […]
>
> And disarchive-assemble does not work, if I don't miss anything.

I forgot about that input tarball was generated with changing current
working directory, that's probably the reason of the broken archive.

According to "Assembles from stdin to file" test from
git.ngyro.com/disarchive/tests/cli.scm it is possible to generate a
tarball for docker-layered with Disarchive, but a file describing spec
like git.ngyro.com/disarchive/tests/data/test-archive.da is required.
Generation of this file without having a Tar archive beforehand is
complicated and because of that IMHO ustar.scm from Gash-Utils is
preferred for the task.

Regards,
Oleg.